> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/partner-api/sdk-and-iframes/onboarding-iframe.md).

# Onboarding iFrame

This page describes the Iframe of the onboarding for partners

Once you get the onboarding URL from the **initiate endpoint** (see API section) you can use it in the src property of an iframe HTML tag, for example:

```
<iframe src=""https://partner.sandbox.sensepass.com/partnersOnBoarding/c4c1c291-9a18-45bc-9199-76ffcd1b70e2" width="600" height="400"></iframe>
```

In the **Pending** status (if the onboarding process has not been yet started), the merchant will see the following screen:\
![](https://3556089516-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MbqMA3Kf8t2xEX9F6y9%2Fuploads%2FaigaI6VbSHiqcoNkIm7c%2FScreen%20Shot%202023-01-23%20at%2011.25.57.png?alt=media\&token=2f3fe0c4-9bac-47f9-968f-fc7b65150fb2)

After checking the terms and conditions checkbox and pressing the Next button any of the following can occur:

1. The process was **completed** successfully:\
   ![](https://3556089516-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MbqMA3Kf8t2xEX9F6y9%2Fuploads%2FlJZYUs3bhIMsrlPJUmtS%2FScreen%20Shot%202023-01-23%20at%2011.26.12.png?alt=media\&token=fdda371c-fc77-44d0-9b9e-38b22672252c)\
   The merchant can now access SensePass merchant portal using the credentials he can copy\
   \
   NOTICE: After pressing the Close button a **SUCCESS** message will be posted to the parent window of the iframe, the **message** will be as follow:\
   { \
   &#x20;  type: 'SUCCESS',\
   &#x20;  message: 'On Boarding completed successfully',\
   &#x20;  uid: 'c4c1c291-9a18-45bc-9199-76ffcd1b70e2'\
   }\
   \
   After refreshing the screen:\
   ![](https://3556089516-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MbqMA3Kf8t2xEX9F6y9%2Fuploads%2FInLxVutlHdl8PwkPIaTA%2FScreen%20Shot%202023-01-23%20at%2011.26.52.png?alt=media\&token=4d9a4811-8493-43c2-a88e-1ec00784f307)<br>
2. The process **failed**, for example, the merchant already existed:\
   ![](https://3556089516-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MbqMA3Kf8t2xEX9F6y9%2Fuploads%2FPapfjrSsREmO8amMbb32%2FScreen%20Shot%202023-01-23%20at%2011.27.18.png?alt=media\&token=2704a1ea-06cf-4ebb-882b-9de8e2844176)\
   In addition, after pressing the Close button an **ERROR** message will be posted to the parent window of the iframe, the **message** will be as follow:\
   { \
   &#x20;  type: 'ERROR',\
   &#x20;  message: 'Merchant with this license id already exist',\
   &#x20;  uid: 'c4c1c291-9a18-45bc-9199-76ffcd1b70e2'\
   }


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sensepass.com/sensepay/partner-api/sdk-and-iframes/onboarding-iframe.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
